Subject: Re: bug#39181: 27.0.50; [PATCH] Allow users to store & restore gdb-mi layout

From: Štěpán Němec <[email-masked]>
Date: Thu, 12 Mar 2020 09:49:00 +0100

On Thu, 12 Mar 2020 09:22:23 +0100
martin rudalics wrote:

>  > That certainly sounds better, thank you, although I'm still wondering if
>  > the "layout" gdb-mi speaks of really corresponds exactly to the usual
>  > window configuration (the object/data structure)? And if it does, it
>  > still seems to me that it would be better to just use the Emacs term,
>  > for the reasons I explained in my previous message, but as an only very
>  > occasional GDB user I don't feel I should be pushing for such a change.
>
> I would use the term "layout" for what is visible on screen and
> "configuration" for the underlying data structure.

Yes, I think I understood that, and would consider it an improvement.
All I was trying to reiterate is that _if_ the layout means exactly the
same as "window configuration", then I would prefer to call it just that
even in the UI, to avoid cognitive overhead (AKA head scratching) for
Emacs users used to that term, while not causing significant
inconvenience for those not familiar with the Emacs term (it's
consistently used and the documentation readily accessible). But of
course I defer to your decision.

>  >> I'd mention it in section 27.6.5.1 GDB User Interface Layout of the
>  >> Emacs manual.
>  >
>  > FWIW, I found that section confusing for other reasons as well, e.g. it
>  > seems to even mix "frame layout" and "window layout" in apparently the
>  > same sense? I think fixing _that_ at least should be uncontroversial. :-)
>
> Let alone the fact that "frame" in the context of GDB and Emacs has two
> quite different meanings ...

Yeah, I had double-checked the GDB docs and there is no evidence of
"frame" being used in any non-stack-related sense. The confusion
probably stems from the Info manual writer trying to use the Emacs
terms while not being quite familiar with them themselves.

-- 
Štěpán